import styled, { css } from 'react-emotion';
import { durationDefault, durationT3, durationT2, easeDefault, easeInOut, easeOut } from 'unify-token/build/v2/motions';
import { GN200L, GN500, NN0L, NN300L, NN900L, PN500L } from 'unify-token/colors';
import { colorTextHigh } from 'unify-token/build/v2/colors';
import { fontSizeLv2 } from 'unify-token/build/v2/typographies';
import { colorWhiteAlways } from "../../build/Providers/common/style";
var _ref = ":active{.toggle-lever{background-color:#246038;&::before,&::after{width:28px;}}input[type='checkbox']:checked + .toggle-lever{background-color:";
var _ref2 = ";}input[type='checkbox']:checked + .toggle-lever::before,input[type='checkbox']:checked + .toggle-lever::after{transform:translateX(calc(100% - 16px));}}";
export var cssActive = function cssActive(disabled) {
  return css(_ref, disabled ? "var(--GN100, ".concat(GN200L, ")") : '#246038', _ref2);
};
export var Toggle = styled("label", {
  target: "eybxe2a0"
})("label:unf-toggle;display:inline-block;&,& *{-webkit-tap-highlight-color:transparent;user-select:none;}", function (_ref3) {
  var disabled = _ref3.disabled;
  return !disabled && cssActive(!!disabled);
}, " .toggle-lever{content:'';width:44px;height:24px;vertical-align:middle;background-color:", function (_ref4) {
  var disabled = _ref4.disabled;
  return "var(--NN100, ".concat(disabled ? NN300L : NN900L, ")");
}, ";border-radius:15px;display:inline-block;position:relative;box-shadow:0 0 0px 0px #f0f3f7;transition:background ", durationDefault, " ", easeDefault, ",box-shadow ", durationT3, " ", easeOut, ";&::before,&::after{content:'';width:20px;height:20px;background-color:", function (_ref5) {
  var disabled = _ref5.disabled,
      checked = _ref5.checked;
  return disabled ? "var(--".concat(checked ? 'NN300' : 'NN500', ", ").concat(NN0L, ")") : colorWhiteAlways;
}, ";border-radius:24px;display:inline-block;position:absolute;left:2px;top:2px;transform:translateX(0%);transition:width ", durationT2, " ", easeInOut, ",transform ", durationT2, " ", easeInOut, ";}}input[type='checkbox']{opacity:0;width:0;height:0;margin:0;padding:0;&:checked,&:not(:checked){position:absolute;opacity:0;pointer-events:none;}}input[type='checkbox']:checked + .toggle-lever{background-color:", function (_ref6) {
  var disabled = _ref6.disabled;
  return disabled ? "var(--GN100, ".concat(GN200L, ")") : GN500;
}, ";}input[type='checkbox']:checked + .toggle-lever::before,input[type='checkbox']:checked + .toggle-lever::after{transform:translateX(100%);}input[type='checkbox']:focus-visible + .toggle-lever{outline:2px dotted ", PN500L, ";outline-offset:3px;}.toggle-text{color:", colorTextHigh, ";font-size:", fontSizeLv2, ";line-height:1;vertical-align:middle;&:not(:last-child){margin-right:8px;}&:not(:first-child){margin-left:8px;}}");
export var ToggleDiv = Toggle.withComponent('div', {
  target: "eybxe2a1"
});